Subject: Re:

From: Jeff Garzik <[email-masked]>
Date: Thu, 05 Oct 2006 07:03:10 -0400

Jay Vosburgh wrote:
> From: Karsten Keil <[email-masked]>
> 
> In bond_alb_monitor the bond->curr_slave_lock write lock is taken
> and then dev_set_promiscuity maybe called which can take some time,
> depending on the network HW. If a network IRQ for this card come in
> the softirq handler maybe try to deliver more packets which end up in
> a request to the read lock of bond->curr_slave_lock -> deadlock.
> This issue was found by a test lab during network stress tests, this patch
> disable the softirq handler for this case and solved the issue.
> 
> Signed-off-by: Karsten Keil <[email-masked]>
> Acked-by: Jay Vosburgh <[email-masked]>

applied, though note that your email was slightly corrupted.  It 
included _two_ Subject headers, making the email non-compliant with RFC822.

	Jeff